<link rel="import" href="../../polymer/polymer-element.html" />
<link rel="import" href="nuevo-pendiente.html" />
<link rel="import" href="lista-pendientes.html" />

<dom-module id="todo-element">
    <template>
        <link rel="stylesheet" href="bulma.min.css" />
        <h1 class="title has-text-centered">Pendientes</h1>

        <div class="columns">
            <div class="column is-8 is-offset-2">
                <nuevo-pendiente></nuevo-pendiente>
                <lista-pendientes></lista-pendientes>
            </div>
        </div>
    </template>

    <script>
        /**
         * `todo-element`
         * Elemento
         *
         * @customElement
         * @polymer
         * @demo demo/index.html
         */
        class TodoElement extends Polymer.Element {
            constructor() {
                super();
                this.addEventListener("pendiente", ({ detail }) => {
                    this.shadowRoot.querySelector("lista-pendientes").nuevoPendiente = detail;
                });
            }
            static get is() {
                return "todo-element";
            }
            static get properties() {
                return {};
            }
        }

        window.customElements.define(TodoElement.is, TodoElement);
    </script>
</dom-module>
